
From: Adrian Bunk <bunk@fs.tum.de>

The following patch adds the missing return types (that give compile
warnings) to two dummy functions in isapp.h for !CONFIG_PROC_FS.



 include/linux/isapnp.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/linux/isapnp.h~isapnp-warning-fix include/linux/isapnp.h
--- 25/include/linux/isapnp.h~isapnp-warning-fix	2003-06-08 15:23:02.000000000 -0700
+++ 25-akpm/include/linux/isapnp.h	2003-06-08 15:23:02.000000000 -0700
@@ -115,8 +115,8 @@ void *isapnp_alloc(long size);
 int isapnp_proc_init(void);
 int isapnp_proc_done(void);
 #else
-static inline isapnp_proc_init(void) { return 0; }
-static inline isapnp_proc_done(void) { return 0; }
+static inline int isapnp_proc_init(void) { return 0; }
+static inline int isapnp_proc_done(void) { return 0; }
 #endif
 
 /* init/main.c */

_
